%define major 1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Summary:	Command-line JSON processor
Name:		jq
Version:	1.5
Release:	2
License:	MIT
Group:		Development/Tools
Url:		https://github.com/stedolan/jq
Source0:	%{name}-%{name}-%{version}.tar.gz

%description
Command-line JSON processor.

%files
%{_bindir}/%{name}
%dir %{_docdir}/jq
%{_docdir}/jq/*
%{_mandir}/man1/jq.1.*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared library for %{name}
Group:		System/Libraries

%description -n %{libname}
Shared library for %{name}.

%files -n %{libname}
%{_libdir}/libjq.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Requires:	%{name}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Development files for %{name}.

%files -n %{devname}
%{_libdir}/libjq.so
%{_includedir}/jq.h
%{_includedir}/jv.h

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{name}-%{version}

%build
%configure2_5x \
	--disable-static
%make

%install
%makeinstall_std

%changelog

* Wed Mar 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.5-2
- (6698941) Fix license and other cleanups


